Internal Error upgrade to 5.1.5200

Need help? Post your questions here.

Internal Error upgrade to 5.1.5200

Unread postby Ricojo » 21 Nov 2014, 14:05

Hi,

Just installed Madsonic through QPKG on my QNAP in /share/MD0_DATA/.qpkg/Madsonic/Madsonic. However Madsonic didn't seem able to maintain settings and configuration.

As it highlighted a more recent version: 5.1.5200 is available I thought about trying that version hoping it would resolve the issue. So located that and downloaded it: 20141017_madsonic-5.1.5200-war-jspc.

From checking forum I understood updating Madsonic was as simple as replacing the WAR file.

Unfortunately I am further away of getting Madsonic to work as it not longer starts and references an internal error:

Madsonic encountered an internal error. You can report this error in the Madsonic Forum. Please include the information below.

Exception java.lang.NoSuchMethodError
Message org.apache.jasper.runtime.TagHandlerPool.get(Ljava/lang/Class;)Ljavax/servlet/jsp/tagext/JspTag;
Java version Oracle Corporation 1.7.0
Operating system Linux 3.4.6
Server jetty-6.1.x
Memory Used 28 of 270 MB
Stack trace java.lang.NoSuchMethodError: org.apache.jasper.runtime.TagHandlerPool.get(Ljava/lang/Class;)Ljavax/servlet/jsp/tagext/JspTag;
at jsp.WEB_002dINF.jsp.login_jsp._jspx_meth_c_url_0(login_jsp.java:148)
at jsp.WEB_002dINF.jsp.login_jsp._jspService(login_jsp.java:81)
at org.apache.jasper.runtime.HttpJspBase.service(HttpJspBase.java:97)
at javax.servlet.http.HttpServlet.service(HttpServlet.java:820)
at org.mortbay.jetty.servlet.ServletHolder.handle(ServletHolder.java:487)
at org.mortbay.jetty.servlet.ServletHandler$CachedChain.doFilter(ServletHandler.java:1093)
at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter(FilterChainProxy.java:330)
etc etc.

I did check forums on Madsonic, Subsonic and QNAP but without success so far.

Before I put myself on a path of trial and error is there anyone who can provide me guidance on how to get Madsonic properly working?

Pretty new to linux so please bare with me.

Thanks
Ricardo
Ricojo
 
Posts: 1
Joined: 18 Nov 2014, 23:20
Has thanked: 0 time
Been thanked: 0 time

Re: Internal Error upgrade to 5.1.5200

Unread postby DoCC » 28 Nov 2014, 16:37

replacing just the WAR file won't do the job,
i faced some similar problem as well.
you have to download the alternative given *booter*.jar too.

then it should fire up
User avatar
DoCC
Contributor
Contributor
 
Posts: 210
Joined: 25 Feb 2014, 14:41
Location: UpperBavaria : ))
Has thanked: 41 times
Been thanked: 71 times


Return to Support 5.x

Who is online

Users browsing this forum: No registered users and 2 guests

cron